Subject: [bug#70733] [PATCH] gnu: guile-tap: Update to 0.5.0.

From: Frank Terbeck <[email-masked]>
Date: Fri, 3 May 2024 13:22:23 +0200

* gnu/packages/guile-xyz.scm (guile-tap): Update to 0.5.0

Signed-off-by: Frank Terbeck <[email-masked]>
Change-Id: Ia8a02400f1d559fcec7eb9861f24a7116928814b
---
This is my first contribution to Guix. I am the upstream for guile-tap,
and was positively surprised by "guix refresh". Good stuff! This is
basically the result of that.

Additionally, I've added a "substitute*" call for bin/tap-harness, to
replace the raw "guile" call in it with the full binary name via the
"which" utility. This is analogous to the shebang-rewriting that the
Guix does by default.

This is done because bin/tap-harness used to be a program that had guile
in it's shebang line, but now it is a shell script that calls out to
guile.

I am not sure if this is best practise, but I figured if this is done
for shebang lines, it should be correct for raw calls to an interpreter
line this as well.

 gnu/packages/guile-xyz.scm | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 9534341b70..875fe7ee24 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -6124,7 +6124,7 @@ (define-public lokke
 (define-public guile-tap
   (package
     (name "guile-tap")
-    (version "0.4.6")
+    (version "0.5.1")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -6133,7 +6133,7 @@ (define-public guile-tap
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "04ip5cbvsjjcicsri813f4711yh7db6fvc2px4788rl8p1iqvi6x"))))
+                "0yimi9ci5h6wh7bs3ir7p181pwbd2hxlhx7pqq53gr54mnad8qv4"))))
     (build-system gnu-build-system)
     (arguments
      (list #:phases
@@ -6142,7 +6142,9 @@ (define-public guile-tap
                  (lambda _
                    (substitute* "Makefile"
                      (("PREFIX = /usr/local") (string-append "PREFIX="
-                                                             #$output)))))
+                                                             #$output)))
+                   (substitute* "bin/tap-harness"
+                     ((" guile ") (string-append " " (which "guile") " ")))))
                (replace 'build
                  (lambda _
                    (invoke "make")
-- 
2.43.0